//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Replay {
/// <summary>
/// Does nothing (it&apos;s a nullsub).
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Replay<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7E2BD3EF6C205F09<br />
/// </para>
/// </remarks>
public static void RegisterEffectForReplayEditor(string p0, bool p1){
Function.Call((Hash)0x7E2BD3EF6C205F09uL, p0, p1);
}

/// <summary>
/// Returns a bool if interior rendering is disabled, if yes, all &quot;normal&quot; rendered interiors are invisible
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Replay<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x95AB8B5C992C7B58<br />
/// </para>
/// </remarks>
public static bool ReplaySystemHasRequestedAScriptCleanup(){
return Function.Call<bool>((Hash)0x95AB8B5C992C7B58uL);
}

/// <summary>
/// Disables some other rendering (internal)
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Replay<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5AD3932DAEB1E5D3<br />
/// </para>
/// </remarks>
public static void SetScriptsHaveCleanedUpForReplaySystem(){
Function.Call((Hash)0x5AD3932DAEB1E5D3uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Replay<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE058175F8EAFE79A<br />
/// </para>
/// </remarks>
public static void SetReplaySystemPausedForSave(bool p0){
Function.Call((Hash)0xE058175F8EAFE79AuL, p0);
}

/// <summary>
/// Sets (almost, not sure) all Rockstar Editor values (bIsRecording etc) to 0.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Replay<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3353D13F09307691<br />
/// </para>
/// </remarks>
public static void ReplayControlShutdown(){
Function.Call((Hash)0x3353D13F09307691uL);
}

/// <summary>
/// Please note that you will need to call DO_SCREEN_FADE_IN after exiting the Rockstar Editor when you call this.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Replay<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x49DA8145672B2725<br />
/// </para>
/// </remarks>
public static void ActivateRockstarEditor(int p0){
Function.Call((Hash)0x49DA8145672B2725uL, p0);
}

}}
